package com.cisdi.data.DHV.gateway.vo;

import com.cisdi.data.sdk.gateway.base.PulledHttpGatewayBase;
import com.cisdi.data.sdk.param.PullHttpParam;
import com.cisdi.data.sdk.service.ServiceProvider;

import java.util.concurrent.atomic.AtomicBoolean;

public class PullHttpTaskStartVo {
    private AtomicBoolean shouldRun;
    private ServiceProvider serviceProvider;
    private String deviceId;
    private PulledHttpGatewayBase gatewayBase;
    private PullHttpParam httpParam;

    public AtomicBoolean getShouldRun() {
        return shouldRun;
    }

    public void setShouldRun(AtomicBoolean shouldRun) {
        this.shouldRun = shouldRun;
    }

    public ServiceProvider getServiceProvider() {
        return serviceProvider;
    }

    public void setServiceProvider(ServiceProvider serviceProvider) {
        this.serviceProvider = serviceProvider;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public PulledHttpGatewayBase getGatewayBase() {
        return gatewayBase;
    }

    public void setGatewayBase(PulledHttpGatewayBase gatewayBase) {
        this.gatewayBase = gatewayBase;
    }

    public PullHttpParam getHttpParam() {
        return httpParam;
    }

    public void setHttpParam(PullHttpParam httpParam) {
        this.httpParam = httpParam;
    }
}
